Class Specialization
Journaled Set
A string set storing the string as members. It can store a global reference sequence to which all members can be journaled if they are of type Journaled String.
StringSet<TString, Owner<JournaledSet> >
Include Headers
seqan/journal_set.h
Parameters

TString | The string type. Types: Journaled String, String

Remarks
The strings are internally stored in a String<TString> object and the character position type is a Pair (seqNo,seqOfs) where seqNo identifies the string within the stringset and seqOfs identifies the position within this string.
The global reference is of type Host<TString>. Only strings of type Journaled String or Host< Journaled String> can be used for the advanced functionality supported by this string set.
Functions

createGlobalReference | Creates the global reference of a Journaled Set.
globalReference | Returns the global reference sequence of a Journaled Set.
join | Joins a Journaled String to a Journaled Set by computing and journaling differences to the global reference sequence.
setGlobalReference | Sets the global reference of a Journaled Set.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00